de.esprit.appsuite.launch

## Interface ErrorHandler

- All Known Implementing Classes:
    AbstractErrorHandler, ApplicationContext, AppStarterContext, ClientContext, CoClientContext, ConsoleErrorHandler, GuiClientContext, GuiErrorHandler, RawClientContext, ServerContext, TableEditContext

      public interface ErrorHandler

  This interface defines methods for handling GUI errors
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `showError(java.lang.Object caller, java.lang.Exception e)`
    `void` | `showError(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `showError(java.lang.Object caller, java.lang.String message, java.lang.String details, java.lang.Exception e)`
    `void` | `showInfo(java.lang.Object caller, java.lang.String message)`
    `void` | `showInfo(java.lang.Object caller, java.lang.String message, java.lang.String details)`
    `void` | `showWarning(java.lang.Object caller, java.lang.String message)`
    `void` | `showWarning(java.lang.Object caller, java.lang.String message, java.lang.String details)`

- - ### Method Detail

    - #### showError

          void showError(java.lang.Object caller,
                       java.lang.Exception e)

    - #### showError

          void showError(java.lang.Object caller,
                       java.lang.String message,
                       java.lang.Exception e)

    - #### showError

          void showError(java.lang.Object caller,
                       java.lang.String message,
                       java.lang.String details,
                       java.lang.Exception e)

    - #### showWarning

          void showWarning(java.lang.Object caller,
                         java.lang.String message)

    - #### showWarning

          void showWarning(java.lang.Object caller,
                         java.lang.String message,
                         java.lang.String details)

    - #### showInfo

          void showInfo(java.lang.Object caller,
                      java.lang.String message)

    - #### showInfo

          void showInfo(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.String details)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.